# $Revision: 1.20 $, $Date: 2003/08/04 21:24:59 $
Summary:	LIRC (Linux Infrared  Remote Control) plugin for XMMS
Summary(pl):	Wtyczka LIRC (Zdalna kontrola Linuksa za pomoc podczerwieni) dla XMMS
Name:		xmms-general-lirc
Version:	1.2
Release:	5
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	ftp://ftp.xmms.org/xmms/plugins/lirc-xmms/lirc-xmms-plugin-%{version}.tar.gz
# Source0-md5:	d268886f9b26aba7e29e04569322668c
Patch0:		%{name}-ac.patch
URL:		http://www.xmms.org/plugins.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.2
BuildRequires:	libtool
BuildRequires:	lirc-devel >= 0.6.0
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.3
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows to control xmms using LIRC (Linux Infrared Remote
Control).

%description -l pl
Ta wtyczka pozwala na zdaln kontrol xmms-a za pomoc LIRC.

%prep
%setup -q -n lirc-xmms-plugin-%{version}
%patch -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog lircrc
%attr(755,root,root) %{xmms_general_plugindir}/*.so
%{xmms_general_plugindir}/*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-general-lirc.spec,v $
Revision 1.20  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.19  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.16  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.15  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/09/30 23:12:38  ankry
- added -ac patch to fix build with new autoconf

Revision 1.12  2002/09/03 01:59:02  kloczek
- relase 4.

Revision 1.11  2002/08/26 08:27:45  qboosh
- GPL v2+

Revision 1.10  2002/08/26 07:30:10  kloczek
- relase 3: rebuild and changed License to GPL v2.

Revision 1.9  2002/07/04 00:44:12  kloczek
- release 2: use new %doc.

Revision 1.8  2002/07/03 09:07:33  wolf
- spelling

Revision 1.7  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.6  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.4  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/07/14 21:36:13  misiek
- Linux Infrared Remote Control plugin for XMMS
